- Qt 6.8
- Qt Widgets
- C++ Classes
- QTableWidgetItem
- Qt 6.8.0 Reference Documentation

# Obsolete Members for QTableWidgetItem

The following members of class QTableWidgetItem are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` void | setTextAlignment(int alignment)

## Member Function Documentation

### `[deprecated]` void QTableWidgetItem::setTextAlignment(int alignment)

This function is deprecated. We strongly advise against using it in new code.

Use the overload that takes a Qt::Alignment argument.

Sets the text alignment for the item's text to the alignment specified.

See also Qt::Alignment.